loci.formats.in

## Class ZeissCZIReader.Segment

- java.lang.Object
- - loci.formats.in.ZeissCZIReader.Segment

- Direct Known Subclasses:
    ZeissCZIReader.Attachment, ZeissCZIReader.AttachmentDirectory, ZeissCZIReader.Directory, ZeissCZIReader.FileHeader, ZeissCZIReader.Metadata, ZeissCZIReader.SubBlock
  Enclosing class:
    ZeissCZIReader

      class ZeissCZIReader.Segment
      extends java.lang.Object

  Top-level class that implements logic common to all types of Segment.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `long` | `allocatedSize`
    `java.lang.String` | `filename`
    `java.lang.String` | `id`
    `long` | `startingPosition`
    `loci.common.RandomAccessInputStream` | `stream`
    `long` | `usedSize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Segment()`
    `Segment(java.lang.String filename)`
    `Segment(ZeissCZIReader.Segment model)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `fillInData()`
    `loci.common.RandomAccessInputStream` | `getStream()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### filename

          public java.lang.String filename

    - #### startingPosition

          public long startingPosition

    - #### id

          public java.lang.String id

    - #### allocatedSize

          public long allocatedSize

    - #### usedSize

          public long usedSize

    - #### stream

          public loci.common.RandomAccessInputStream stream

  - ### Constructor Detail

    - #### Segment

          public Segment()

    - #### Segment

          public Segment(java.lang.String filename)

    - #### Segment

          public Segment(ZeissCZIReader.Segment model)

  - ### Method Detail

    - #### fillInData

          public void fillInData()
                          throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### close

          public void close()
                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getStream

          public loci.common.RandomAccessInputStream getStream()
                                                        throws java.io.IOException

      Throws:
        `java.io.IOException`

Copyright © 2026 Open Microscopy Environment